aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorVille-Pekka Karhu <ville-pekka.karhu@qt.io>2021-12-17 16:14:50 +0200
committerVille-Pekka Karhu <ville-pekka.karhu@qt.io>2021-12-19 14:39:48 +0200
commit20c580e5db1352bc2abfd84975c6edd9d700349d (patch)
treed8f32c389c2d3021af6c26c3a0cdc0f09b9dbae0
parentccf269f5da51c40f6902988fdeadaf13590d5476 (diff)
macOS provisioning: Disable bluetooth
Pick-to: 6.2 Pick-to: 6.3 Change-Id: Ia981b4ab37a6ca15a566feb2fdc176253b419193 Reviewed-by: Tor Arne Vestbø <tor.arne.vestbo@qt.io>
-rwxr-xr-xcoin/provisioning/qtci-macos-10.14-x86_64/81-bluetooth.sh8
-rwxr-xr-xcoin/provisioning/qtci-macos-10.15-x86_64/81-bluetooth.sh8
-rwxr-xr-xcoin/provisioning/qtci-macos-11.0-arm/81-bluetooth.sh8
-rwxr-xr-xcoin/provisioning/qtci-macos-11.0-x86_64/81-bluetooth.sh8
-rwxr-xr-xcoin/provisioning/qtci-macos-12-x86_64/81-bluetooth.sh8
-rwxr-xr-xcoin/provisioning/qtci-macos-12.0-arm/81-bluetooth.sh8
6 files changed, 48 insertions, 0 deletions
diff --git a/coin/provisioning/qtci-macos-10.14-x86_64/81-bluetooth.sh b/coin/provisioning/qtci-macos-10.14-x86_64/81-bluetooth.sh
new file mode 100755
index 00000000..e08aca4e
--- /dev/null
+++ b/coin/provisioning/qtci-macos-10.14-x86_64/81-bluetooth.sh
@@ -0,0 +1,8 @@
+#!/usr/bin/env bash
+
+set -ex
+
+brew install blueutil
+
+#Disable Bluetooth
+blueutil -p 0
diff --git a/coin/provisioning/qtci-macos-10.15-x86_64/81-bluetooth.sh b/coin/provisioning/qtci-macos-10.15-x86_64/81-bluetooth.sh
new file mode 100755
index 00000000..e08aca4e
--- /dev/null
+++ b/coin/provisioning/qtci-macos-10.15-x86_64/81-bluetooth.sh
@@ -0,0 +1,8 @@
+#!/usr/bin/env bash
+
+set -ex
+
+brew install blueutil
+
+#Disable Bluetooth
+blueutil -p 0
diff --git a/coin/provisioning/qtci-macos-11.0-arm/81-bluetooth.sh b/coin/provisioning/qtci-macos-11.0-arm/81-bluetooth.sh
new file mode 100755
index 00000000..e08aca4e
--- /dev/null
+++ b/coin/provisioning/qtci-macos-11.0-arm/81-bluetooth.sh
@@ -0,0 +1,8 @@
+#!/usr/bin/env bash
+
+set -ex
+
+brew install blueutil
+
+#Disable Bluetooth
+blueutil -p 0
diff --git a/coin/provisioning/qtci-macos-11.0-x86_64/81-bluetooth.sh b/coin/provisioning/qtci-macos-11.0-x86_64/81-bluetooth.sh
new file mode 100755
index 00000000..e08aca4e
--- /dev/null
+++ b/coin/provisioning/qtci-macos-11.0-x86_64/81-bluetooth.sh
@@ -0,0 +1,8 @@
+#!/usr/bin/env bash
+
+set -ex
+
+brew install blueutil
+
+#Disable Bluetooth
+blueutil -p 0
diff --git a/coin/provisioning/qtci-macos-12-x86_64/81-bluetooth.sh b/coin/provisioning/qtci-macos-12-x86_64/81-bluetooth.sh
new file mode 100755
index 00000000..e08aca4e
--- /dev/null
+++ b/coin/provisioning/qtci-macos-12-x86_64/81-bluetooth.sh
@@ -0,0 +1,8 @@
+#!/usr/bin/env bash
+
+set -ex
+
+brew install blueutil
+
+#Disable Bluetooth
+blueutil -p 0
diff --git a/coin/provisioning/qtci-macos-12.0-arm/81-bluetooth.sh b/coin/provisioning/qtci-macos-12.0-arm/81-bluetooth.sh
new file mode 100755
index 00000000..e08aca4e
--- /dev/null
+++ b/coin/provisioning/qtci-macos-12.0-arm/81-bluetooth.sh
@@ -0,0 +1,8 @@
+#!/usr/bin/env bash
+
+set -ex
+
+brew install blueutil
+
+#Disable Bluetooth
+blueutil -p 0